package com.tofly.watermeter.custom.service.meterBusiness.export.impl;

import com.alibaba.fastjson.JSONObject;
import com.tofly.watermeter.custom.service.meterBusiness.export.DisputedQueryService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("disputedQueryService")
public class DisputedQueryServiceImpl implements DisputedQueryService {
    /**
     * excel获取导出数据
     *
     * @param dto          筛选条件对象
     * @param templateFlag 0为正式导出/1为演示模板导出
     * @return 封装好的导出对象
     */
    @Override
    public List<Map<String, Object>> getExportData(String dto, String templateFlag) {
        //传过来的是json字符串，也是就最后要导出的结果，所以需要进行转换
        List<Map> result = JSONObject.parseArray(dto, Map.class);
        List<Map<String, Object>> returnMap = new ArrayList<>();
        Map<String, Object> parentMap = new HashMap<>();
        parentMap.put("list", result);
        returnMap.add(parentMap);
        return returnMap;
    }

    /**
     * excel导入的数据落库
     *
     * @param dataList 导入的数据
     * @return 是否存储成功
     */
    @Override
    public Boolean excelDataStorage(List<Object> dataList) {
        return null;
    }
}
